Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.propertyMap
Class PropertiesAdapter

public class PropertiesAdapter
implements IProperties

Default implementation of IProperties.

Author:
  TogetherSoft

Constructor Summary
`PropertiesAdapter(PropertyMap propertyMap)` Creates new adapter.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds listener of PropertychangeEvent.
`void` | `addVetoableChangeListener(VetoableChangeListener listener)` Not implemented.
`String` | `getProperty(String key, String defaultValue)` Returns value of specified property.
`Enumeration` | `propertyNames()` Returns names of all properties.
`void` | `putProperty(String key, String value)` Sets value for specified property.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes listener of PropertychangeEvent.
`void` | `removeVetoableChangeListener(VetoableChangeListener listener)` Not implemented.

Constructor Detail

### PropertiesAdapter

    public PropertiesAdapter(PropertyMap propertyMap)

  Creates new adapter.
  Parameters:
    propertyMap - PropertyMap values for this property

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Adds listener of PropertychangeEvent.
  Parameters:
    listener - PropertyChangeListener to be added

### addVetoableChangeListener

    public void addVetoableChangeListener(VetoableChangeListener listener)

  Not implemented.

### getProperty

    public String getProperty(String key, String defaultValue)

  Returns value of specified property. If value is not a String - returns default value.
  Parameters:
    key - Name of this property
    defaultValue - Default value
  Returns: Value or default value

### propertyNames

    public Enumeration propertyNames()

  Returns names of all properties.
  Returns: Enumeration of names of all properties

### putProperty

    public void putProperty(String key, String value)

  Sets value for specified property.
  Parameters:
    key - Name of this property
    value - Value to be set

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Removes listener of PropertychangeEvent.
  Parameters:
    listener - PropertyChangeListener to be removed

### removeVetoableChangeListener

    public void removeVetoableChangeListener(VetoableChangeListener listener)

  Not implemented.

Association Links

to Class com.togethersoft.openapi.util.propertyMap.PropertyMap

to Class com.togethersoft.openapi.util.propertyMap.PropertyMapListener

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD